--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

ry_stop = {};

function ry_stop.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ry_stop:load(xmlFile)

    self.ry_stops = {};
    self.ry_stops[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.ry_stops.ry_stop1#index"));

end;

function ry_stop:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_spece then 
		self.drawry_stop = not self.drawry_stop;
		setVisibility(self.ry_stops[1], self.drawry_stop);
	 end;

end;


function ry_stop:update(dt)
end;

function ry_stop:draw()
end;

function ry_stop:onEnter()

end;

function ry_stop:onLeave()
end;

function ry_stop:delete()
end;

function ry_stop:mouseEvent(posX, posY, isDown, isUp, button)
end;